package cn.com.qmth.stmms.biz.report.utils;

public class QuestionGroup {

    private boolean objective;

    private int number;

    private double totalScore;

    private double fullScore;
    
    private String paperType;

    public QuestionGroup(boolean objective, int number,String paperType) {
        this.objective = objective;
        this.number = number;
        this.paperType = paperType;
    }

    public void incrTotalScore(double score) {
        totalScore += score;
    }

    public void incrFullScore(double score) {
        fullScore += score;
    }

    public int getNumber() {
        return number;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public double getFullScore() {
        return fullScore;
    }

    public void setFullScore(double fullScore) {
        this.fullScore = fullScore;
    }

    public boolean isObjective() {
        return objective;
    }

    
    public String getPaperType() {
        return paperType;
    }
    
    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

}
